@import "../../../styles/variables.scss";
@import "../../../styles/mixins.scss";
@import "../../../styles/theme.scss";

.header {
    height: 76px;
    position: fixed;
    width: 100%;
    padding: 0 20px;
    background-color: $color-basic-100;
    box-shadow: $shadow;
    color: $color-basic-800;
    @include flex(row, space-between, center);

    app-logo,
    app-navigation,
    app-sign-button {
        cursor: pointer;
    }

    &-logo {
        margin-top: 5px;
    }

    &-content {
        @include flex(row, flex-end, center);
        flex-basis: 40%;

        &__user-info {
            @include flex(column, initial, flex-end);
            &--name {
                &--title {
                    margin-left: 5px;
                    font-weight: $semi-bold;
                }
            }

            &--bio {
                font-size: 12px;
            }
        }

        &__profile {
            width: 55px;
            height: 55px;
            @include flex(row, center, center);
            border-radius: 100%;
            background: $primary;
            &--user {
                font-size: 24px;
                padding-right: 3px;
                color: $deep-white;
            }
        }

        &__guest {
            width: 55px;
            height: 55px;
            border-radius: 100%;
            border: 2px solid $primary;
            @include flex(row, center, center);

            fa-icon {
                margin-top: 3px;
            }
        }

        &__text {
            margin-right: 10px;
            font-weight: $semi-bold;
        }

        .btn-discard {
            margin-right: 35px;
        }
    }

    app-sign-button {
        display: none;
    }
}

@media screen and (min-width: $tablet-and-desktop) {
    .header {
        app-sign-button {
            display: inherit;
        }
    }
}

.dark-theme {
    background-color: $color-basic-800;
    color: $color-basic-200;
    box-shadow: $dark-shadow !important;

    section {
        background-color: $color-basic-800;
        color: $color-basic-200;

        .user-guest {
            border-color: $color-basic-200;
        }
    }

    svg {
        fill: $color-basic-100;
    }
}

::ng-deep {
    .dark-theme {
        .header-logo {
            svg {
                fill: $color-basic-100;
            }
        }

        section {
            background-color: $color-basic-800;
            color: $color-basic-600;

            .user-guest {
                border-color: $color-basic-600;

                svg {
                    fill: $color-basic-600;
                }
            }
        }
    }
}
